Bug 204523 - sysutils/battray: Update to 2.1 and take MAINTAINER'ship
Summary: sysutils/battray: Update to 2.1 and take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Wilke
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-11-13 15:26 UTC by Torsten Zühlsdorff
Modified: 2015-12-22 02:01 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback-


Attachments
patch with update to 2.1 and maintainer change (3.70 KB, patch)
2015-11-13 15:26 UTC, Torsten Zühlsdorff
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2015-11-13 15:26:34 UTC
Created attachment 163097 [details]
patch with update to 2.1 and maintainer change

Hello,

attached a patch to update the port to its current version 2.1. In cooperation with the author and current maintainer:
- i take the future maintainer-ship
- fix the license
- adjust the run- and build-dependencies
- replace GOOGLE_CODE with BB because of relocation of the project
- change the link in pkg-desc accordingly

portlint -C is fine.

poudriere test-builds are fine for:
9.3 amd64 + i386
10.1 amd64 + i386
10.2 amd64 + i386
11-current r290639 amd64 + i386

Greetings,
Torsten
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-14 02:28:29 UTC
@Tosten:

BUILD_DEPENDS=	${RUN_DEPENDS} is incorrect (See porters handbook)

Further, please confirm it is *actually* a BUILD_DEPENDS, and not just a RUN_DEPENDS (as most Python are)

Also, pkg-plist entries are PYTHON_VERSION specific, eg:

%%PYTHON_SITELIBDIR%%/battray/__pycache__/platforms.cpython-34.pyc

This will break with any Python versions != 3.4. You need to replace these with the correct python.mk variable.

Also, have you tried using USE_PYTHON=autoplist?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 05:08:44 UTC
Maintainer timeout (1 month +)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 05:09:50 UTC
Comment on attachment 163097 [details]
patch with update to 2.1 and maintainer change

Maintainer timeout (> 1 month), implicit approval
Comment 4 Martin Wilke freebsd_committer 2015-12-22 02:01:02 UTC
Committed, with some small adjustments.
Comment 5 commit-hook freebsd_committer 2015-12-22 02:01:46 UTC
A commit references this bug:

Author: miwi
Date: Tue Dec 22 02:00:48 UTC 2015
New revision: 404201
URL: https://svnweb.freebsd.org/changeset/ports/404201

Log:
  - Update to 2.1
  - Switch to autoplist
  - Pass maintainership to submitter

  PR:		204523
  Submitted by:	Torsten Zuehlsdorff
  Approved by:	mat (mentor), maintainer timeout
  Differential Revision:	D4654

Changes:
  head/sysutils/battray/Makefile
  head/sysutils/battray/distinfo
  head/sysutils/battray/pkg-descr
  head/sysutils/battray/pkg-plist